
# Execute prompt init system
autoload -Uz promptinit && promptinit

# Load the prompt theme.
zstyle -a ':prezto:module:myprompt' theme 'prompt_argv'

if [[ "$TERM" == (dumb|linux|*bsd*) ]] || (( $#prompt_argv < 1 )); then
    prompt 'off'
else
    prompt "$prompt_argv[@]"
fi
unset prompt_argv
